Bug 194194 - [maintainer patch] graphics/mupdf update to 1.6
Summary: [maintainer patch] graphics/mupdf update to 1.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-06 16:57 UTC by Zsolt Udvari
Modified: 2014-10-15 19:48 UTC (History)
1 user (show)

See Also:


Attachments
patch (982 bytes, patch)
2014-10-06 16:57 UTC, Zsolt Udvari
no flags Details | Diff
Corrected patch (1.67 KB, patch)
2014-10-10 13:37 UTC, Zsolt Udvari
no flags Details | Diff
try to fix build on 8.x and 9.x (1.67 KB, patch)
2014-10-15 06:20 UTC, Zsolt Udvari
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zsolt Udvari 2014-10-06 16:57:56 UTC
Created attachment 148037 [details]
patch

update to 1.6

Redports: https://redports.org/buildarchive/20141001114024-15392/
Comment 1 Dmitry Marakasov freebsd_committer 2014-10-07 17:56:56 UTC
https://people.freebsd.org/~amdmi3/mupdf-1.6.log

---
===========================================================================
====> Running Q/A tests (stage-qa)
Warning: 'bin/mupdf-x11-curl' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: bin/mupdf-x11-curl
Error: Orphaned: include/mupdf/pdf-tools.h
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
---
Comment 2 Zsolt Udvari 2014-10-10 13:37:45 UTC
Created attachment 148163 [details]
Corrected patch
Comment 3 Zsolt Udvari 2014-10-10 13:38:01 UTC
I think it will be good.
Comment 4 Dmitry Marakasov freebsd_committer 2014-10-14 18:52:55 UTC
If fails on 8.x and 9.x:

https://people.freebsd.org/~amdmi3/mupdf.log

builds fine on 10+. May be fixed with USES+=compiler:c++11-lang
Comment 5 Zsolt Udvari 2014-10-14 18:58:29 UTC
Dmitry, your log is about deskutils/xfce4-notification-daemon, not graphics/mupdf.
Comment 6 Dmitry Marakasov freebsd_committer 2014-10-14 20:37:58 UTC
Sorry, seems to be some weird cacing issues on freefall

Here: https://people.freebsd.org/~amdmi3/mupdf.1.log
Comment 7 Zsolt Udvari 2014-10-15 06:12:57 UTC
I've add USES+=compiler:c++11-lang and tested on redports but fails because of bison. See https://redports.org/~uzsolt/20141015053338-91431-252481/binutils-2.24_1.log .
Can you please test it? Patch updated.
Comment 8 Zsolt Udvari 2014-10-15 06:20:43 UTC
Created attachment 148332 [details]
try to fix build on 8.x and 9.x
Comment 9 Dmitry Marakasov freebsd_committer 2014-10-15 13:59:26 UTC
The patch is the same as previous one. Anyway, I can commit with USES+=compiler:c++11-lang.

Redports are buggy, and the failure seem to not be related to this change. It builds perfectly fine in my poudriere.
Comment 10 Zsolt Udvari 2014-10-15 18:38:34 UTC
Sorry for my mistake. If you think it's good commit it.
Comment 11 commit-hook freebsd_committer 2014-10-15 19:48:56 UTC
A commit references this bug:

Author: amdmi3
Date: Wed Oct 15 19:48:24 UTC 2014
New revision: 370949
URL: https://svnweb.freebsd.org/changeset/ports/370949

Log:
  - Update to 1.6
  - Drop @dirrm from pkg-plist

  PR:		194194
  Submitted by:	udvzsolt@gmail.com (maintainer)

Changes:
  head/graphics/mupdf/Makefile
  head/graphics/mupdf/distinfo
  head/graphics/mupdf/pkg-plist